/* 
 * File:   profiles_mpeg4_p2.h
 * Author: savop
 *
 * Created on 7. Dezember 2009, 13:36
 */

#ifndef _PROFILES_MPEG4_P2_H
#define	_PROFILES_MPEG4_P2_H

#include "profile_data.h"

extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_SP_AAC;    ///< MPEG 4 Part 2 Simple Profile AAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_SP_HEAAC;  ///< MPEG 4 Part 2 Simple Profile HEAAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_SP_ATRAC3plus; ///< MPEG 4 Part 2 Simple Profile ATRAC3+
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_SP_AAC_LTP;    ///< MPEG 4 Part 2 Simple Profile AAC LTP
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_SP_L2_AAC; ///< MPEG 4 Part 2 Simple Profile L2 AAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_SP_L2_AMR; ///< MPEG 4 Part 2 Simple Profile L2 AMR
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_SP_VGA_AAC;    ///< MPEG 4 Part 2 Simple Profile MP4 VGA AAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_SP_VGA_HEAAC;  ///< MPEG 4 Part 2 Simple Profile MP4 VGA HEAAC

extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_ASP_AAC;   ///< MPEG 4 Part 2 Advanced Simple Profile AAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_ASP_HEAAC; ///< MPEG 4 Part 2 Advanded Simple Profile HEAAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_ASP_HEAAC_MULT5;   ///< MPEG 4 Part 2 Advanced Simple Profile HEAAC 5.1
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_ASP_ATRAC3plus;    ///< MPEG 4 Part 2 Advanced Simple Profile Atrac3+
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_ASP_L5_SO_AAC;     ///< MPEG 4 Part 2 Advanced Simple Profile Simple Object < Level 5 AAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_ASP_L5_SO_HEAAC;   ///< MPEG 4 Part 2 Advanced Simple Profile Simple Object < Level 5 HEAAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_ASP_L5_SO_HEAAC_MULT5; ///< MPEG 4 Part 2 Advanced Simple Profile Simple Object < Level 5 HEAAC 5.1
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_ASP_L5_SO_G726;    ///< MPEG 4 Part 2 Advanced Simple Profile Simple Object < Level 5 G726
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_ASP_L4_SO_AAC;     ///< MPEG 4 Part 2 Advanced Simple Profile Simple Object < Level 5 AAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_ASP_L4_SO_HEAAC;   ///< MPEG 4 Part 2 Advanced Simple Profile Simple Object < Level 5 HEAAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_ASP_L4_SO_HEAAC_MULT5; ///< MPEG 4 Part 2 Advanced Simple Profile Simple Object < Level 5 HEAAC 5.1
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_MP4_ASP_L4_SO_G726;    ///< MPEG 4 Part 2 Advanced Simple Profile Simple Object < Level 5 G726

extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_SP_AAC;     ///< MPEG 4 Part 2 Simple Profile AAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_SP_AAC_T;   ///< MPEG 4 Part 2 Simple Profile AAC with time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_SP_AAC_ISO; ///< MPEG 4 Part 2 Simple Profile AAC without time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_SP_MPEG1_L3;    ///< MPEG 4 Part 2 Simple Profile MP3
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_SP_MPEG1_L3_T;  ///< MPEG 4 Part 2 Simple Profile MP3 with time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_SP_MPEG1_L3_ISO;    ///< MPEG 4 Part 2 Simple Profile MP3 without time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_SP_AC3;     ///< MPEG 4 Part 2 Simple Profile AC3
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_SP_AC3_T;   ///< MPEG 4 Part 2 Simple Profile AC3 with time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_SP_AC3_ISO; ///< MPEG 4 Part 2 Simple Profile AC3 without time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_SP_MPEG2_L2;    ///< MPEG 4 Part 2 Simple Profile MP2 1/2
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_SP_MPEG2_L2_T;  ///< MPEG 4 Part 2 Simple Profile MP2 1/2 with time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_SP_MPEG2_L2_IS0;    ///< MPEG 4 Part 2 Simple Profile MP2 1/2 without time stamp

extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_CO_AC3;     ///< MPEG 4 Part 2 Core AC3
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_CO_AC3_T;   ///< MPEG 4 Part 2 Core AC3 with time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_CO_AC3_ISO; ///< MPEG 4 Part 2 Core AC3 without time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_CO_MPEG2_L2;     ///< MPEG 4 Part 2 Core MPEG 2 1/2
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_CO_MPEG2_L2_T;   ///< MPEG 4 Part 2 Core MPEG 2 1/2 with time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_CO_MPEG2_L2_ISO; ///< MPEG 4 Part 2 Core MPEG 2 1/2 without time stamp

extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_ASP_AAC;   ///< MPEG 4 Part 2 Advanced Simple Profile AAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_ASP_AAC_T; ///< MPEG 4 Part 2 Advanced Simple Profile AAC with time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_ASP_AAC_ISO;    ///< MPEG 4 Part 2 Advanced Simple Profile AAC without time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_ASP_MPEG1_L3;   ///< MPEG 4 Part 2 Advanced Simple Profile MP3
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_ASP_MPEG1_L3_T; ///< MPEG 4 Part 2 Advanced Simple Profile MP3 with time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_ASP_MPEG1_L3_ISO;   ///< MPEG 4 Part 2 Advanced Simple Profile MP3 without time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_ASP_AC3;    ///< MPEG 4 Part 2 Advanced Simple Profile AC3
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_ASP_AC3_T;  ///< MPEG 4 Part 2 Advanced Simple Profile AC3 with time stamp
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_TS_ASP_AC3_ISO;    ///< MPEG 4 Part 2 Advanced Simple Profile AC3 without time stamp

extern DLNAProfile DLNA_PROFILE_MPEG4_P2_ASF_SP_G726;   ///< ASF Simple Profile G726
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_ASF_ASP_L5_SO_G726;    ///< ASF Advanced Simple Prpfile G726 < Level 5
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_ASF_ASP_L4_SO_G726;    ///< ASF Advanced Simple Prpfile G726 < Level 4


extern DLNAProfile DLNA_PROFILE_MPEG4_H263_MP4_P0_L10_AAC;  ///< H263 Profile 0 Level 10 AAC
extern DLNAProfile DLNA_PROFILE_MPEG4_H263_MP4_P0_L10_AAC_LTP;  ///< H263 Profile 0 Level 10 AAC LTP
extern DLNAProfile DLNA_PROFILE_MPEG4_H263_3GPP_P0_L10_AMR_WBplus;  ///< H263 3GPP Profile 0 Level 10 AMR-WB+
extern DLNAProfile DLNA_PROFILE_MPEG4_H263_3GPP_P3_L10_AMR; ///< H263 Profile 3 Level 10 AMR

extern DLNAProfile DLNA_PROFILE_MPEG4_P2_3GPP_SP_L0B_AAC;   ///< MPEG 4 Part 2 3GPP Simple Profile Level 0b AAC
extern DLNAProfile DLNA_PROFILE_MPEG4_P2_3GPP_SP_L0B_AMR;   ///< MPEG 4 Part 2 3GPP Simple Profile Level 0b AMR

extern DLNAVideoMapping MPEG4_P2_VIDEO_MAP[];
#endif	/* _PROFILES_MPEG4_P2_H */

